at.chipkarte.client.ebs.soap

## Class Leistungsbezieher

- Object
- - at.chipkarte.client.ebs.soap.Leistungsbezieher

-     public class Leistungsbezieher
      extends Object

  Dient der Ausgabe der Daten des Patienten.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Leistungsbezieher()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adressdaten` | `getAdresse()` Adressdaten zum Patienten.
    `String` | `getAnsprechpersonPatient()` Vor- und Zuname einer Ansprechperson zum Patienten.
    `EkvkPatient` | `getEkvkPatient()` Daten eines Patienten mit EKVK Nummer.
    `Verstaendigung` | `getPatientenverstaendigung()` Verständigungsdaten zum Patienten.
    `SvPersonV2` | `getSvPatient()` Daten eines Patienten mit SV-Nummer.
    `void` | `setAdresse(Adressdaten adresse)`
    `void` | `setAnsprechpersonPatient(String ansprechpersonPatient)`
    `void` | `setEkvkPatient(EkvkPatient ekvkPatient)`
    `void` | `setPatientenverstaendigung(Verstaendigung patientenverstaendigung)`
    `void` | `setSvPatient(SvPersonV2 svPatient)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Leistungsbezieher

          public Leistungsbezieher()

  - ### Method Detail

    - #### getSvPatient

          public SvPersonV2 getSvPatient()

      Daten eines Patienten mit SV-Nummer.
      Angabe: Bedingt. Entweder svPatient oder ekvkPatient ist belegt.
      Returns:
        SvPatient.

    - #### setSvPatient

          public void setSvPatient(SvPersonV2 svPatient)

    - #### getEkvkPatient

          public EkvkPatient getEkvkPatient()

      Daten eines Patienten mit EKVK Nummer. Siehe `EkvkPatient`.
      Angabe: Bedingt. Entweder svPatient oder ekvkPatient ist belegt.
      Returns:
        EkvkPatient.

    - #### setEkvkPatient

          public void setEkvkPatient(EkvkPatient ekvkPatient)

    - #### getPatientenverstaendigung

          public Verstaendigung getPatientenverstaendigung()

      Verständigungsdaten zum Patienten. Siehe `Verstaendigung`.
      Angabe: Kann.
      Returns:
        Patientenverstaendigung.

    - #### setPatientenverstaendigung

          public void setPatientenverstaendigung(Verstaendigung patientenverstaendigung)

    - #### getAnsprechpersonPatient

          public String getAnsprechpersonPatient()

      Vor- und Zuname einer Ansprechperson zum Patienten.
      Angabe: Kann.
      Format: 140-stellig
      Returns:
        AnsprechpersonPatient.

    - #### setAnsprechpersonPatient

          public void setAnsprechpersonPatient(String ansprechpersonPatient)

    - #### getAdresse

          public Adressdaten getAdresse()

      Adressdaten zum Patienten. Siehe `Adressdaten`.
      Angabe: Kann.
      Returns:
        Adresse.

    - #### setAdresse

          public void setAdresse(Adressdaten adresse)